Detector part of face configuration

### Hierarchy

- GenericConfig
  - FaceDetectorConfig

## Index

### Properties

- enabled
- iouThreshold
- mask
- maxDetected
- minConfidence
- modelPath
- return
- rotation
- skipFrames
- skipTime

## Properties

### enabled

enabled: boolean

Inherited from GenericConfig.enabled

- Defined in src/config.ts:7

is module enabled?

### iouThreshold

iouThreshold: number

- Defined in src/config.ts:29

minimum overlap between two detected faces before one is discarded

### mask

mask: boolean

- Defined in src/config.ts:31

should child models perform on masked image of a face

### maxDetected

maxDetected: number

- Defined in src/config.ts:25

maximum number of detected faces

### minConfidence

minConfidence: number

- Defined in src/config.ts:27

minimum confidence for a detected face before results are discarded

### modelPath

modelPath: string

Inherited from GenericConfig.modelPath

- Defined in src/config.ts:9

path to model json file (relative to `modelBasePath`

### return

return: boolean

- Defined in src/config.ts:34

should face detection return processed and cropped face tensor that can with an external model for addtional processing? if enabled it must be manually deallocated to avoid memory leak

### rotation

rotation: boolean

- Defined in src/config.ts:23

is face rotation correction performed after detecting face? used to correctly analyze faces under high angles

### skipFrames

skipFrames: number

Inherited from GenericConfig.skipFrames

- Defined in src/config.ts:12

how many max frames to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only

### skipTime

skipTime: number

Inherited from GenericConfig.skipTime

- Defined in src/config.ts:15

how many max milliseconds to go without re-running model if cached results are acceptable for two-phase models such as face and hand caching applies to bounding boxes detection only